Bug 212883 - (php-pear-Net-URL) Review Request: php-pear-Net-URL - Easy parsing of URLs
Review Request: php-pear-Net-URL - Easy parsing of URLs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT pear-HTTP-Request
  Show dependency treegraph
 
Reported: 2006-10-29 17:39 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 18:48:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-29 17:39:59 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Net-URL.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Net-URL-1.0.14-1.src.rpm

Description:
Provides easy parsing of URLs and their constituent parts.
Comment 1 Remi Collet 2006-11-05 12:40:52 EST
Sorry, i've been a long time without looking at the packages waiting for review...
And i need this one, so i began to review some of them.
Comment 2 Remi Collet 2006-11-05 13:09:26 EST
* source files match upstream:
4be5ac05dc5a9bc54a33cec66d87eb0a  SOURCES/Net_URL-1.0.14.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
  php-pear(Net_URL) = 1.0.14
  php-pear-Net-URL = 1.0.14-1.fc7
* %check is not present; no test suite provide.
* owns the directories it creates (Net already owned but by non-dependant rpm)
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear install)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

What do you think of adding CHANGELOG to the %doc (have a look at the
xml2changelod i used on my rpm) ?
Comment 3 Christopher Stone 2006-11-07 18:48:39 EST
I need to look at your xml2changelog in more detail, unfortunately time is very
limited for me at the moment, reviews and review requests piling up on me. :(

Perhaps you can add something about it on the PHP Guidelines wiki page?
Comment 4 Christopher Stone 2007-04-25 18:13:07 EDT
Package Change Request
======================
Package Name: php-pear-Net-URL
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.